Bug 511462 - No Sound on Panasonic Toughbook CF-52
No Sound on Panasonic Toughbook CF-52
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 22:59 EDT by bugzilla
Modified: 2010-06-28 09:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:38:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla 2009-07-14 22:59:35 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1) Gecko/20090630 Fedora/3.5-1.fc11 Firefox/3.5

No sound on laptop.

Reproducible: Always

Steps to Reproduce:
1.Fresh install of Fedora 11 on Toughbook CF-51
2.
3.
Actual Results:  
No Sound

Expected Results:  
Sound

1. Followed all steps on http://fedorasolved.org/Members/fenris02/pulseaudio-fixes-and-workarounds
2. Reference http://www.mjmwired.net/kernel/Documentation/sound/alsa/HD-Audio-Models.txt for the option of model= in /etc/modprobe.d/snd_hda_intel.conf
3. No reference to CF-51 only CF-74, tried that option and still not working.

4. Here is the output of lspci for the audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

5. Here is a link to the output of alsa-info
http://www.alsa-project.org/db/?f=229362222d50fc7e6302a050b874b1feab1dab2f
Comment 1 Lennart Poettering 2009-07-22 20:02:54 EDT
Please explain what isn't working. Do you get any error messages? Do the audio apps appear to think they are playing something, but you just cannot hear anything? Can you fix it by fiddling with "alsamixer -c0" in a terminal? Please provide the output of "pacmd ls".
Comment 2 bugzilla 2009-08-02 15:34:01 EDT
No error messages. Apps do think they are working but no sound. Have tried the alsamixer -c0 with no luck. PulseAudo Volumer meter does show volume going to front left and front right speakers.

Output of pacmd ls is:
Welcome to PulseAudio! Use "help" for usage information.
>>> Memory blocks currently allocated: 1, size: 64.0 KiB.
Memory blocks allocated during the whole lifetime: 60251, size: 133.4 MiB.
Memory blocks imported from other processes: 0, size: 0 B.
Memory blocks exported to other processes: 0, size: 0 B.
Total sample cache size: 0 B.
Default sample spec: s16le 2ch 44100Hz
Default channel map: front-left,front-right
Default sink name: alsa_output.pci_8086_27d8_sound_card_0
Default source name: alsa_input.pci_8086_27d8_sound_card_0
Memory blocks of type POOL: 1 allocated/29716 accumulated.
Memory blocks of type POOL_EXTERNAL: 0 allocated/1671 accumulated.
Memory blocks of type APPENDED: 0 allocated/0 accumulated.
Memory blocks of type USER: 0 allocated/0 accumulated.
Memory blocks of type FIXED: 0 allocated/19080 accumulated.
Memory blocks of type IMPORTED: 0 allocated/11455 accumulated.
21 module(s) loaded.
    index: 0
	name: <module-device-restore>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Automatically restore the volume/mute state of devices"
		module.version = "0.9.15"
    index: 1
	name: <module-stream-restore>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Automatically restore the volume/mute/device state of streams"
		module.version = "0.9.15"
    index: 2
	name: <module-card-restore>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Automatically restore profile of cards"
		module.version = "0.9.15"
    index: 3
	name: <module-augment-properties>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Augment the property sets of streams with additional static information"
		module.version = "0.9.15"
    index: 4
	name: <module-alsa-card>
	argument: <device_id=0 name=pci_8086_27d8_sound_card_0 card_name=alsa_card.pci_8086_27d8_sound_card_0 tsched=0>
	used: 0
	load once: no
	properties:
		module.author = "Lennart Poettering"
		module.description = "ALSA Card"
		module.version = "0.9.15"
    index: 5
	name: <module-hal-detect>
	argument: <tsched=0>
	used: -1
	load once: yes
	properties:
		module.author = "Shahms King"
		module.description = "Detect available audio hardware and load matching drivers"
		module.version = "0.9.15"
    index: 6
	name: <module-bluetooth-discover>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Joao Paulo Rechi Vita"
		module.description = "Detect available bluetooth audio devices and load bluetooth audio drivers"
		module.version = "0.9.15"
    index: 7
	name: <module-esound-protocol-unix>
	argument: <>
	used: -1
	load once: no
	properties:
		module.author = "Lennart Poettering"
		module.description = "ESOUND protocol (UNIX sockets)"
		module.version = "0.9.15"
    index: 8
	name: <module-native-protocol-unix>
	argument: <>
	used: -1
	load once: no
	properties:
		module.author = "Lennart Poettering"
		module.description = "Native protocol (UNIX sockets)"
		module.version = "0.9.15"
    index: 9
	name: <module-gconf>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "GConf Adapter"
		module.version = "0.9.15"
    index: 10
	name: <module-default-device-restore>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Automatically restore the default sink and source"
		module.version = "0.9.15"
    index: 11
	name: <module-rescue-streams>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "When a sink/source is removed, try to move their streams to the default sink/source"
		module.version = "0.9.15"
    index: 12
	name: <module-always-sink>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Colin Guthrie"
		module.description = "Always keeps at least one sink loaded even if it's a null one"
		module.version = "0.9.15"
    index: 13
	name: <module-suspend-on-idle>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "When a sink/source is idle for too long, suspend it"
		module.version = "0.9.15"
    index: 14
	name: <module-console-kit>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Create a client for each ConsoleKit session of this user"
		module.version = "0.9.15"
    index: 15
	name: <module-position-event-sounds>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Position event sounds between L and R depending on the position on screen of the widget triggering them."
		module.version = "0.9.15"
    index: 16
	name: <module-cork-music-on-phone>
	argument: <>
	used: -1
	load once: yes
	properties:
		module.author = "Lennart Poettering"
		module.description = "Mute or cork music while a phone stream exists"
		module.version = "0.9.15"
    index: 17
	name: <module-x11-publish>
	argument: <display=:0.0>
	used: -1
	load once: no
	properties:
		module.author = "Lennart Poettering"
		module.description = "X11 credential publisher"
		module.version = "0.9.15"
    index: 18
	name: <module-x11-cork-request>
	argument: <display=:0.0>
	used: -1
	load once: no
	properties:
		module.author = "Lennart Poettering"
		module.description = "Synthesize X11 media key events when cork/uncork is requested"
		module.version = "0.9.15"
    index: 19
	name: <module-x11-xsmp>
	argument: <display=:0.0 session_manager=local/unix:@/tmp/.ICE-unix/2022,unix/unix:/tmp/.ICE-unix/2022>
	used: -1
	load once: no
	properties:
		module.author = "Lennart Poettering"
		module.description = "X11 session management"
		module.version = "0.9.15"
    index: 20
	name: <module-cli-protocol-unix>
	argument: <>
	used: -1
	load once: no
	properties:
		module.author = "Lennart Poettering"
		module.description = "Command line interface protocol (UNIX sockets)"
		module.version = "0.9.15"
1 sink(s) available.
  * index: 0
	name: <alsa_output.pci_8086_27d8_sound_card_0>
	driver: <module-alsa-card.c>
	flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY FLAT_VOLUME 
	state: SUSPENDED
	volume: 0: 100% 1: 100%
	        0: 0.00 dB 1: 0.00 dB
	        balance 0.00
	base volume: 100%
	             0.00 dB
	volume steps: 65537
	muted: no
	current latency: 0.00 ms
	max request: 17 KiB
	max rewind: 17 KiB
	monitor source: 0
	sample spec: s16le 2ch 44100Hz
	channel map: front-left,front-right
	             Stereo
	used by: 0
	linked by: 0
	fixed latency: 0.00 ms
	card: 0 <alsa_card.pci_8086_27d8_sound_card_0>
	module: 4
	properties:
		alsa.resolution_bits = "16"
		alsa.mixer_element = "Master"
		device.api = "alsa"
		device.class = "sound"
		alsa.class = "generic"
		alsa.subclass = "generic-mix"
		alsa.name = "STAC92xx Analog"
		alsa.id = "STAC92xx Analog"
		alsa.subdevice = "0"
		alsa.subdevice_name = "subdevice #0"
		alsa.device = "0"
		alsa.card = "0"
		alsa.card_name = "HDA Intel"
		alsa.long_card_name = "HDA Intel at 0xf0600000 irq 22"
		alsa.driver_name = "snd_hda_intel"
		device.bus = "pci"
		device.vendor.id = "8086"
		device.vendor.name = "Intel Corporation"
		device.product.id = "27d8"
		device.product.name = "82801G (ICH7 Family) High Definition Audio Controller"
		device.form_factor = "internal"
		device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
		hal.udi = "/org/freedesktop/Hal/devices/pci_8086_27d8_sound_card_0"
		hal.product = "HDA Intel Sound Card"
		hal.card_id = "HDA Intel"
		device.string = "front:0"
		device.buffering.buffer_size = "17664"
		device.buffering.fragment_size = "5888"
		device.access_mode = "mmap"
		device.profile.name = "analog-stereo"
		device.profile.description = "Analog Stereo"
		device.description = "Internal Audio"
		device.icon_name = "audio-card-pci"
2 source(s) available.
    index: 0
	name: <alsa_output.pci_8086_27d8_sound_card_0.monitor>
	driver: <module-alsa-card.c>
	flags: DECIBEL_VOLUME LATENCY 
	state: SUSPENDED
	volume: 0: 100% 1: 100%
	        0: 0.00 dB 1: 0.00 dB
	        balance 0.00
	base volume: 100%
	             0.00 dB
	volume steps: 65537
	muted: no
	current latency: 0.00 ms
	max rewind: 17 KiB
	sample spec: s16le 2ch 44100Hz
	channel map: front-left,front-right
	             Stereo
	used by: 0
	linked by: 0
	fixed latency: 0.00 ms
	monitor_of: 0
	card: 0 <alsa_card.pci_8086_27d8_sound_card_0>
	module: 4
	properties:
		device.description = "Monitor of Internal Audio"
		device.class = "monitor"
		alsa.card = "0"
		alsa.card_name = "HDA Intel"
		alsa.long_card_name = "HDA Intel at 0xf0600000 irq 22"
		alsa.driver_name = "snd_hda_intel"
		device.bus = "pci"
		device.vendor.id = "8086"
		device.vendor.name = "Intel Corporation"
		device.product.id = "27d8"
		device.product.name = "82801G (ICH7 Family) High Definition Audio Controller"
		device.form_factor = "internal"
		device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
		hal.udi = "/org/freedesktop/Hal/devices/pci_8086_27d8_sound_card_0"
		hal.product = "HDA Intel Sound Card"
		hal.card_id = "HDA Intel"
		device.string = "0"
		device.icon_name = "audio-card-pci"
  * index: 1
	name: <alsa_input.pci_8086_27d8_sound_card_0>
	driver: <module-alsa-card.c>
	flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY 
	state: SUSPENDED
	volume: 0: 100% 1: 100%
	        0: 0.00 dB 1: 0.00 dB
	        balance 0.00
	base volume:  75%
	             -22.50 dB
	volume steps: 65537
	muted: no
	current latency: 0.00 ms
	max rewind: 0 KiB
	sample spec: s16le 2ch 44100Hz
	channel map: front-left,front-right
	             Stereo
	used by: 0
	linked by: 0
	fixed latency: 0.00 ms
	card: 0 <alsa_card.pci_8086_27d8_sound_card_0>
	module: 4
	properties:
		alsa.resolution_bits = "16"
		alsa.mixer_element = "Capture"
		device.api = "alsa"
		device.class = "sound"
		alsa.class = "generic"
		alsa.subclass = "generic-mix"
		alsa.name = "STAC92xx Analog"
		alsa.id = "STAC92xx Analog"
		alsa.subdevice = "0"
		alsa.subdevice_name = "subdevice #0"
		alsa.device = "0"
		alsa.card = "0"
		alsa.card_name = "HDA Intel"
		alsa.long_card_name = "HDA Intel at 0xf0600000 irq 22"
		alsa.driver_name = "snd_hda_intel"
		device.bus = "pci"
		device.vendor.id = "8086"
		device.vendor.name = "Intel Corporation"
		device.product.id = "27d8"
		device.product.name = "82801G (ICH7 Family) High Definition Audio Controller"
		device.form_factor = "internal"
		device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
		hal.udi = "/org/freedesktop/Hal/devices/pci_8086_27d8_sound_card_0"
		hal.product = "HDA Intel Sound Card"
		hal.card_id = "HDA Intel"
		device.string = "front:0"
		device.buffering.buffer_size = "17664"
		device.buffering.fragment_size = "5888"
		device.access_mode = "mmap"
		device.profile.name = "analog-stereo"
		device.profile.description = "Analog Stereo"
		device.description = "Internal Audio"
		device.icon_name = "audio-card-pci"
6 client(s) logged in.
    index: 0
	driver: <module-console-kit.c>
	owner module: 14
	properties:
		application.name = "ConsoleKit Session /org/freedesktop/ConsoleKit/Session2"
		console-kit.session = "/org/freedesktop/ConsoleKit/Session2"
    index: 1
	driver: <protocol-native.c>
	owner module: 8
	properties:
		application.name = "GNOME Volume Control"
		native-protocol.peer = "UNIX socket client"
		native-protocol.version = "15"
		application.id = "org.gnome.VolumeControl"
		application.icon_name = "multimedia-volume-control"
		application.version = "2.26.1"
		application.process.id = "2112"
		application.process.user = "lauren"
		application.process.host = "lauren.home.twoitguys.com"
		application.process.binary = "gnome-settings-daemon"
		window.x11.display = ":0.0"
		application.language = "en_US.UTF-8"
		application.process.machine_id = "253b1f51f1cd3b24ebcad80d4a5c0353"
		application.process.session_id = "253b1f51f1cd3b24ebcad80d4a5c0353-1249240908.378968-848084950"
    index: 6
	driver: <module-x11-xsmp.c>
	owner module: 19
	properties:
		application.name = "XSMP Session on gnome-session as 10c569b40eaeb731aa124924091269450200000020220026"
		xsmp.vendor = "gnome-session"
		xsmp.client.id = "10c569b40eaeb731aa124924091269450200000020220026"
    index: 7
	driver: <protocol-native.c>
	owner module: 8
	properties:
		application.name = "GNOME Volume Control"
		native-protocol.peer = "UNIX socket client"
		native-protocol.version = "15"
		application.id = "org.gnome.VolumeControl"
		application.icon_name = "multimedia-volume-control"
		application.version = "2.26.0"
		application.process.id = "2183"
		application.process.user = "lauren"
		application.process.host = "lauren.home.twoitguys.com"
		application.process.binary = "gnome-volume-control-applet"
		window.x11.display = ":0.0"
		application.language = "en_US.UTF-8"
		application.process.machine_id = "253b1f51f1cd3b24ebcad80d4a5c0353"
		application.process.session_id = "253b1f51f1cd3b24ebcad80d4a5c0353-1249240908.378968-848084950"
    index: 8
	driver: <protocol-native.c>
	owner module: 8
	properties:
		application.name = "libcanberra"
		native-protocol.peer = "UNIX socket client"
		native-protocol.version = "15"
		application.process.id = "2162"
		application.process.user = "lauren"
		application.process.host = "lauren.home.twoitguys.com"
		application.process.binary = "gnome-power-manager"
		window.x11.display = ":0.0"
		application.language = "en_US.UTF-8"
		application.process.machine_id = "253b1f51f1cd3b24ebcad80d4a5c0353"
		application.process.session_id = "253b1f51f1cd3b24ebcad80d4a5c0353-1249240908.378968-848084950"
    index: 14
	driver: <cli.c>
	owner module: 20
	properties:
		application.name = "UNIX socket client"
1 card(s) available.
    index: 0
	name: <alsa_card.pci_8086_27d8_sound_card_0>
	driver: <module-alsa-card.c>
	owner module: 4
	properties:
		alsa.card = "0"
		alsa.card_name = "HDA Intel"
		alsa.long_card_name = "HDA Intel at 0xf0600000 irq 22"
		alsa.driver_name = "snd_hda_intel"
		device.bus = "pci"
		device.vendor.id = "8086"
		device.vendor.name = "Intel Corporation"
		device.product.id = "27d8"
		device.product.name = "82801G (ICH7 Family) High Definition Audio Controller"
		device.form_factor = "internal"
		device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
		hal.udi = "/org/freedesktop/Hal/devices/pci_8086_27d8_sound_card_0"
		hal.product = "HDA Intel Sound Card"
		hal.card_id = "HDA Intel"
		device.string = "0"
		device.description = "Internal Audio"
		device.icon_name = "audio-card-pci"
	profiles:
		output-analog-stereo+input-analog-stereo: Output Analog Stereo + Input Analog Stereo (priority 81010)
		output-analog-stereo: Output Analog Stereo (priority 51000)
		output-iec958-stereo+input-analog-stereo: Output Digital Stereo (IEC958) + Input Analog Stereo (priority 80510)
		output-iec958-stereo: Output Digital Stereo (IEC958) (priority 50500)
		input-analog-stereo: Input Analog Stereo (priority 30010)
		off: Off (priority 0)
	active profile: <output-analog-stereo+input-analog-stereo>
	sinks:
		alsa_output.pci_8086_27d8_sound_card_0/#0: Internal Audio
	sources:
		alsa_output.pci_8086_27d8_sound_card_0.monitor/#0: Monitor of Internal Audio
		alsa_input.pci_8086_27d8_sound_card_0/#1: Internal Audio
0 sink input(s) available.
0 source outputs(s) available.
0 cache entrie(s) available.
Comment 3 Lennart Poettering 2009-08-19 11:33:15 EDT
So, PA apparently produces audio as the meter suggests, however the driver doesn't seem to make this hearable, although you fiddled around with the mixer. Reassigning to the driver then.
Comment 4 Bug Zapper 2010-04-27 11:41:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:38:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.